Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1535355 - qt-creator 4.0.5-2 has wrong dependency on qbs
Summary: qt-creator 4.0.5-2 has wrong dependency on qbs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt-creator
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-17 08:27 UTC by Yupeng Chang
Modified: 2018-01-30 18:02 UTC (History)
7 users (show)

Fixed In Version: qt-creator-4.5.0-3.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-30 18:02:57 UTC
Type: Bug


Attachments (Terms of Use)

Description Yupeng Chang 2018-01-17 08:27:23 UTC
Description of problem:
qt-creator-4.0.5-2 requires dependency package qbs-1.9.0,
however, qbs has already been upgraded to 1.10.0 on Dec 09 2017

Version-Release number of selected component (if applicable):
4.0.5-2

How reproducible:
install qt-creator

Steps to Reproduce:
1. Install qt-creator
2. dnf update

Actual results:
dnf reports error messages:
1: package qt-creator-4.5.0-2.fc27.x86_64 requires libqbscore.so.1.9()(64bit), but none of the providers can be installed
  - cannot install both qbs-1:1.10.0-1.fc27.x86_64 and qbs-1:1.9.0-1.fc27.x86_64
  - cannot install both qbs-1:1.9.0-1.fc27.x86_64 and qbs-1:1.10.0-1.fc27.x86_64
  - cannot install the best update candidate for package qt-creator-4.5.0-2.fc27.x86_64
  - cannot install the best update candidate for package qbs-1:1.9.0-1.fc27.x86_64

Expected results:
system can upgrade succesffully

Additional info:

Comment 1 barsnick 2018-01-17 08:54:01 UTC
The issue is that the previous build of qt-creator already pulled in qbs-1.10 to the systems:

[barsnick@paradise ~]$ rpm -q --requires qt-creator-4.5.0-1.fc27.x86_64 | grep qbs
libqbscore.so.1.10()(64bit)
libqbsqtprofilesetup.so.1.10()(64bit)
[barsnick@paradise ~]$ rpm -q --whatprovides 'libqbscore.so.1.10()(64bit)'
qbs-1.10.0-1.fc27.x86_64

Yet 4.5.0-2 was built against old qbs:
[barsnick@paradise ~]$ sudo dnf repoquery --requires qt-creator | grep qbs
libqbscore.so.1.9()(64bit)
libqbsqtprofilesetup.so.1.9()(64bit)
[barsnick@paradise ~]$ sudo dnf repoquery --whatprovides 'libqbscore.so.1.9()(64bit)'
qbs-1:1.9.0-1.fc27.x86_64
[barsnick@paradise ~]$ sudo dnf repoquery qbs
qbs-1:1.10.0-1.fc27.i686
qbs-1:1.10.0-1.fc27.x86_64
qbs-1:1.9.0-1.fc27.i686
qbs-1:1.9.0-1.fc27.x86_64


Was the build environment broken? Did the BuildRequires on qbs not pull in the latest version?

Comment 2 Sandro Mani 2018-01-17 09:16:39 UTC
I suppose what happened is that qt-creator-4.5.0-2.fc27 was built in the time window between when the buildroot-override for qbs-1.10.0-1.fc27 expired and when qbs-1.10.0-1.fc27 got pushed to stable, hence it got built against qbs-1.9.0-1.fc27.

I've submitted a new build: https://koji.fedoraproject.org/koji/taskinfo?taskID=24239945

Comment 3 Fedora Update System 2018-01-17 11:42:53 UTC
qt-creator-4.5.0-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-26a5d78a58

Comment 4 Fedora Update System 2018-01-18 02:10:52 UTC
qt-creator-4.5.0-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-26a5d78a58

Comment 5 Yupeng Chang 2018-01-18 06:05:53 UTC
(In reply to Fedora Update System from comment #4)
> qt-creator-4.5.0-3.fc27 has been pushed to the Fedora 27 testing repository.
> If problems still persist, please make note of it in this bug report.
> See https://fedoraproject.org/wiki/QA:Updates_Testing for
> instructions on how to install test updates.
> You can provide feedback for this update here:
> https://bodhi.fedoraproject.org/updates/FEDORA-2018-26a5d78a58

command "sudo dnf --enablerepo=updates-testing qt-creator*" can run successfully, bug is fixed!

Comment 6 Fedora Update System 2018-01-30 18:02:57 UTC
qt-creator-4.5.0-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.